.View-Order-Details {
  margin: 30px 0;
}
.View-Order-Details .top-header {
  background: #f8f8f8;
  margin-bottom: 20px;
  padding: 10px 0;
}
.View-Order-Details .container-sec {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.View-Order-Details .date-wrapper {
  display: flex;
  flex-direction: column;
  gap: 8px;
  align-items: end;
}
.View-Order-Details .head {
  font-size: 18px;
  font-weight: 600;
  margin: 4px 0;
}
.View-Order-Details .date-wrapper .date {
  margin: 0;
  font-weight: 400;
  font-size: 16px;
}
.View-Order-Details .date-wrapper .call {
  font-size: 16px;
  color: #75438e;
  display: flex;
  align-items: center;
  gap: 20px;
}
.View-Order-Details .date-wrapper .call span {
  text-decoration: underline;
}
.View-Order-Details .date-wrapper .call svg {
  margin-right: 5px;
}
.View-Order-Details .track-card {
  border: 1px solid #75438e;
  border-radius: 5px;
  background: #f2f2f2;
  padding: 7px 10px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 15px;
}
.View-Order-Details .time {
  display: flex;
  align-items: center;
  gap: 5px;
  font-size: 18px;
}
.View-Order-Details .time p {
  color: #323232;
  font-weight: 600;
  font-size: 14px !important;
  line-height: 1.2;
  margin: 0;
}
.View-Order-Details .track-card .track-text {
  margin: 0;
  color: #75438e;
  font-size: 14px;
  font-weight: 600;
  cursor: pointer;
  text-decoration: underline;
}
.View-Order-Details .delivery-partner {
  background: #ffffff;
  box-shadow: 0px 0px 9px #00000021;
  border: none !important;
}
.View-Order-Details .delivery-partner .profile {
  height: 32px;
  width: 32px;
  border-radius: 50%;
  border: 1px solid #75438e;
  display: flex;
  overflow: hidden;
  align-items: center;
  justify-content: center;
  background: #ffffff;
  color: black;
}
.View-Order-Details .delivery-partner .profile img {
  height: 90%;
  width: 90%;
  object-fit: contain;
  object-position: top;
}
.View-Order-Details .delivery-partner .side-wrapper {
  display: flex;
  align-items: center;
  gap: 10px;
}
.View-Order-Details .info {
}
.View-Order-Details .info-wrapper {
  display: flex;
  align-items: center;
  gap: 20px;
  margin-bottom: 20px;
}
.View-Order-Details .info-wrapper svg {
  font-size: 18px;
}
.View-Order-Details .info-wrapper .name {
  margin: 0;
  font-size: 18px;
  font-weight: 600;
}
.View-Order-Details .info-wrapper .no {
  margin: 0;
  font-size: 14px;
  font-weight: 600;
}
.View-Order-Details .btn-holder {
  display: flex;
  justify-content: end;
  margin: 40px 0;
}

@media (min-width: 0px) and (max-width: 1199px) {
  .View-Order-Details .time p {
    font-size: 12px !important;
  }
  .View-Order-Details .track-card .track-text {
    font-size: 13px;
  }
  .View-Order-Details .track-card {
    padding: 7px 6px;
  }
  .View-Order-Details .head {
    font-size: 16px;
  }
  .View-Order-Details .info-wrapper .name {
    font-size: 15px;
  }
  .View-Order-Details .date-wrapper .date {
    font-size: 15px;
  }
  .View-Order-Details .info-wrapper {
    gap: 10px;
  }
}

@media (min-width: 0px) and (max-width: 991px) {
  .View-Order-Details .track-card {
    margin-top: 15px;
    margin-bottom: 12px;
  }
  .View-Order-Details .date-wrapper .date {
    font-size: 14px;
  }
  .View-Order-Details .date-wrapper .call {
    font-size: 14px;
    gap: 15px;
  }
  .View-Order-Details .head {
    font-size: 15px;
  }
  .View-Order-Details {
    margin: 15px 0;
  }
  .View-Order-Details .btn-holder {
    justify-content: center;
    margin: 30px 0;
  }
}

@media (min-width: 0px) and (max-width: 575px) {
  .View-Order-Details .container-sec {
    align-items: start;
    flex-wrap: wrap;
    gap: 5px;
  }
  .View-Order-Details .date-wrapper .date {
    font-size: 13px;
  }
  .View-Order-Details .date-wrapper .call {
    font-size: 13px;
  }
  .View-Order-Details .date-wrapper {
    gap: 6px;
  }
  .View-Order-Details .info-wrapper .no {
    font-size: 13px;
  }
  .View-Order-Details .info-wrapper {
    margin-bottom: 10px;
  }
  .View-Order-Details .full {
    width: 100%;
    display: flex !important;
    justify-content: space-between !important;
    flex-direction: row !important;
    align-items: center !important;
    flex-wrap: wrap;
  }
}
